| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | Friends
qx::QxHttpSession Class Reference
QxHttpServer : QxOrm library HTTP server (based on QxService module) : support SSL/TLS, persistent connection, deliver static files, REST API, etc...

qx::QxHttpSession : HTTP session (https://www.qxorm.com/qxorm_en/manual.html#manual_998) More...

`#include <QxHttpSession.h>`

List of all members.

## Public Member Functions
| QxHttpSession ()
| ~QxHttpSession ()
QByteArray | id ()
QDateTime | lastAccess ()
void | lastAccess (const QDateTime &dt)
QVariant | get (const QByteArray &key)
void | set (const QByteArray &key, const QVariant &value)
QHash< QByteArray, QVariant > | getAll ()
void | remove (const QByteArray &key)
void | clear ()
## Private Attributes
std::unique_ptr < QxHttpSessionImpl > | m_pImpl
| Private implementation idiom.
## Friends
class | qx::QxHttpSessionManager

## Detailed Description

qx::QxHttpSession : HTTP session (https://www.qxorm.com/qxorm_en/manual.html#manual_998)

Definition at line 55 of file QxHttpSession.h.

## Constructor & Destructor Documentation

qx::QxHttpSession::QxHttpSession | ( |  | ) |

qx::QxHttpSession::~QxHttpSession | ( |  | ) |

## Member Function Documentation

void qx::QxHttpSession::clear | ( |  | ) |

QVariant qx::QxHttpSession::get | ( | const QByteArray & | key | ) |

QHash<QByteArray, QVariant> qx::QxHttpSession::getAll | ( |  | ) |

QByteArray qx::QxHttpSession::id | ( |  | ) |

QDateTime qx::QxHttpSession::lastAccess | ( |  | ) |

void qx::QxHttpSession::lastAccess | ( | const QDateTime & | dt | ) |

void qx::QxHttpSession::remove | ( | const QByteArray & | key | ) |

void qx::QxHttpSession::set | ( | const QByteArray & | key,
|  | const QVariant & | value
| ) |  |

## Friends And Related Function Documentation

friend class qx::QxHttpSessionManager`[friend]`

Definition at line 58 of file QxHttpSession.h.

## Member Data Documentation

std::unique_ptr<QxHttpSessionImpl> qx::QxHttpSession::m_pImpl`[private]`

Private implementation idiom.

Definition at line 62 of file QxHttpSession.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxHttpServer/QxHttpSession.h